module DocMachine::Build
  class Config
    property data_dir : String = Dir.current
    property action : String = "watch"
    property enable_tty : Bool = false
    property port : Int32 = 5100
    property enable_multiple : Bool = false
    property enable_cache : Bool = false
    property image_tag : String = "glenux/docmachine:latest"
    property container_runtime : String = "docker"

    def initialize(@parent : DocMachine::Config)
    end
  end
end
